const express = require('express')
const tencentcloud = require("tencentcloud-sdk-nodejs")
const app = express()

require('dotenv').config()

app.use('/getToken', (req, res) => {
  const { sdkAppId, userId, secretId, secretKey } = process.env
  const CccClient = tencentcloud.ccc.v20200210.Client;
  const clientConfig = {
    credential: {
      secretId,
      secretKey,
    },
    region: "",
    profile: {
      httpProfile: {
        endpoint: "ccc.tencentcloudapi.com",
      },
    },
  }
  const client = new CccClient(clientConfig)
  const params = {
    SdkAppId: +sdkAppId,
    SeatUserId: userId,
  };
  client.CreateSDKLoginToken(params).then(
    (data) => {
      res.send({
        token: data.Token,
        sdkUrl: data.SdkURL,
        sdkAppId,
        userId
      })
    },
    (err) => {
      console.error("error", err);
    }
  );
})

app.listen(4001, () => {
  console.log('server run success')
})